/* Blinker
   Copyright 2011-2014 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef BLINKER_RATE_H
#define BLINKER_RATE_H

#include <string>

namespace Blinker {

/// a frame rate
class Rate
{
public:
  /// constructor
  Rate();

public:
  /**
   * @brief parse from string format
   * @param[in] str string format
   * @return if parsing was successful
   */
  bool fromStr(const std::string &str);

  /**
   * @brief convert to string format
   * @return string format
   */
  std::string toStr() const;

public:
  float m_rate; ///< frame rate in frames per second
}; // class Rate

} // namespace Blinker

#endif // #ifndef BLINKER_RATE_H

